Skip to content

List my push devices.

GET
/api/v1/me/devices

Returns the push-notification devices registered to the authenticated user. Raw push tokens are never returned.

provider

Filter by push transport. One of fcm, expo, apns.

string

Filter by push transport. One of fcm, expo, apns.

Example
fcm
sort

One of last_used_at, -last_used_at, created_at, -created_at. Defaults to -last_used_at.

string

One of last_used_at, -last_used_at, created_at, -created_at. Defaults to -last_used_at.

Example
-last_used_at
per_page

1–100. Defaults to 15.

integer

1–100. Defaults to 15.

Example
20
page

1+.

integer

1+.

Example
1
object
provider
string
nullable
Allowed values: fcm expo apns
expo
sort
string
nullable
Allowed values: last_used_at -last_used_at created_at -created_at
-last_used_at
per_page

Must be at least 1. Must not be greater than 100.

integer
nullable
1
page

Must be at least 1.

integer
nullable
22
object
data
Array<object>
object
id
string
01HX...
platform
string
ios
provider
string
fcm
[
{
"id": "01HX...",
"platform": "ios",
"provider": "fcm"
}
]
meta
object
current_page
integer
1
links
object
{
"data": [
{
"id": "01HX...",
"platform": "ios",
"provider": "fcm"
}
],
"meta": {
"current_page": 1
},
"links": {}
}